import { IFilter } from '../common/models';
export interface IXFilter {
    generateFilter(data: any): string;
    getFilterOperations(): string[];
    generateViewFilter(data: any): any;
    generateField(field: any): any;
    generateDefaultField(): any;
    generateViewObject(view: any): any;
    generateDefaultView(): any;
    getFilterObject(query: any): IFilter[];
}
